GCLOUD_PREVIEW_APP_GEN-CONFIG(1)

NAME

gcloud preview app gen-config - (BETA) generate missing configuration files for a source directory

SYNOPSIS

gcloud preview app gen-config [SOURCE_DIR] [--config CONFIG] [--custom] [--runtime RUNTIME] [GLOBAL-FLAG ...]

DESCRIPTION
(BETA) This command generates all relevant config files (app.yaml, Dockerfile and a build Dockerfile) for your application in the current directory or emits an error message if the source directory contents are not recognized.

POSITIONAL ARGUMENTS
[SOURCE_DIR]
    The source directory to fingerprint.

FLAGS
--config CONFIG
    The yaml file defining the module configuration. This is normally one of the generated files, but when generating a custom runtime there can be an app.yaml containing parameters.
--custom
    If true, generate config files for a custom runtime. This will produce a Dockerfile, a .dockerignore file and an app.yaml (possibly other files as well, depending on the runtime).
--runtime RUNTIME
    Generate config files for a given runtime. Can be used in conjunction with --custom. Allowed runtimes are: contrib-dart, dart, go, php, php55, python, python27, python-compat, java, java7, nodejs, ruby.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To generate configs for the current directory:
    $ gcloud preview app gen-config
To generate configs for ~/my_app:
    $ gcloud preview app gen-config ~/my_app

NOTES
This command is currently in BETA and may change without notice.